Pay for an order

Pays for a specific order with a payment source.
Important: Either a payment source or customer must be associated with an order for payment. If a customer is not attached to the order, then the source in this field is charged for the order.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length ≤ 5000

Universally unique identifier (UUID) of the order.

Body Params
string
required
length ≤ 5000

Universally unique identifier (UUID) of the customer being charged for the order. The customer indicated here is charged instead of the customer associated with the order creation.
See Create a customer.
Important: Either a payment source or customer must be associated with an order for payment. If a customer is not attached to the order, then the source in this field is charged for the order.

string
enum
Defaults to ecom

Indicates who entered the card data used for a charge - customer (ecom) or merchant (moto).

Allowed:
string
length ≤ 5000

Email address of the customer placing the order. Required if the email address is not provided when creating the order.

int64

Charge amount.
If the charge request includes tax (tax_rate_uuid or tax_amount), this value must be the sum of any item prices and any tax or tip. For example: If the item cost = $10 and the tax is $1, the amount is 1100 cents ($11).
Format: Cents

string

Three-letter ISO 4217 currency code.
Format: Lower case
Length: Maximum 3

boolean

Indicates whether the charge can be authorized for a lesser amount.
Values:
True
False - Default

expand
array of strings

Additional information provided as an expanded response, for example, related objects nested within the parent. See Use expandable fields.

expand
level2
object

Additional data for purchase card transactions (US only).

level3
object

Additional data for purchase card level3 transactions (US only). Supported for Mastercard® and Visa® only. Purchase card level2 is mandatory for level3 transactions.

string

Unique identifier (ID), such as an invoice or purchase order (PO) number, that is sent to the merchant's gateway and displayed in settlement records.
Format: Supported for US—alphanumeric characters with in-between spaces.
Length: Maximum 12, including spaces and alphanumeric characters.

string

Customer reference number from the merchant's order management system.

metadata
object

Set of key-value pairs that you can attach to the object. This parameter is useful for storing additional information about the object in a structured format.
Length: Maximum 500 characters

string
length ≤ 5000

Payment source to charge, such as token or alternate_tender. See Create a card token. or Create an ACH token.
Important: Either a payment source or customer must be associated with an order for payment. If a customer is not attached to the order, then the source in this field is charged for the order.

string
enum

Intent of the external token.
Note: For a new TransArmor® token, select save_credential_on_file.

Allowed:
stored_credentials
object

Stored credentials for a transaction. For initial and subsequent payments with a saved card, stored credentials are available only with multi-pay (mTokens) tokens. Please ensure the sequence field within this object is correctly set to FIRST for the initial transaction or SUBSEQUENT for all others. See Save a card for future transactions for more information.

int64
≥ 0

Amount paid in tips. This value is automatically added to the total amount when the transaction is finalized.

tender
object

Custom tender to charge or pay for the order, for example: cash or check.

Headers
string
required

Identifies the application, operating system, vendor, and/or version of the requesting user agent. Format: <product> / <product-version> <comment>

string
required

Client internet protocol (IP) address of the web browser from which the customer’s payment originates.
Note: Header x-forwarded-for is required for enhanced security and accuracy of Clover services. Requests that don’t include the header are not successful.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json